Sign a transaction
POST /v2/wallet/{walletId}/sign/tx
POST
/v2/wallet/{walletId}/sign/tx
Sign a transaction by its ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” walletId
required
string
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09The unique wallet ID.
Request Body required
Section titled “Request Body required ”object
walletId
required
The unique wallet ID.
string
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 data
required
The binary data to be signed.
string
0xdeadbeefResponses
Section titled “ Responses ”Created successfully
The resource has been successfully created.
object
walletId
required
The unique wallet ID.
string
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 signedData
required
The binary that has been signed.
string
0xdeadbeefBad Request
Unauthorized
Forbidden
Not Found
Internal Server Error